<?php

declare(strict_types=1);

namespace PpPhp\Core\Designer\Presets;

interface DesignerPresetInterface
{
    public static function id(): string;

    public static function name(): string;

    public static function description(): string;

    public static function icon(): string;

    public static function category(): string;

    public static function type(): string;

    public static function components(): array;
}
